html,
body {
  position: relative;
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
  font-weight: 300;
}
* {
  font-family: "Hiragino Maru Gothic ProN", "ヒラギノ丸ゴ", "ヒラギノ丸ゴシック", "Hiragino Sans", "メイリオ", sans-serif;
  outline: none !important;
}
.main {
  position: relative;
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
}
/*----common sytle----*/
ruby.mt {
  margin-top: -6px;
}
.text-small {
  font-size: 12px;
}
.text-spell,
rt {
  font-size: 10px;
}
rt .text-spell {
  font-size: 8px;
}
rt.text-b {
  font-size: 16px;
}
.text-blue {
  color: rgba(57, 102, 191, 1);
}
.btn {
  border-radius: 4px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  font-size: 16px !important;
  font-weight: 600;
  cursor: pointer;
  padding: 1px 4px;
}
.btn.only-text {
  justify-content: center;
}
.btn > .icon {
  width: 24px;
  height: 24px;
  margin: 0 5px;
}
.btn-orange {
  background-color: #ea5413;
  border: 1px solid #ea5413;
  color: #fff;
}
.btn-white {
  background-color: #fff;
  border: 1px solid #ced2d9;
  color: #333333;
}
.btn:disabled {
  background-color: #666666;
  border-color: #707070;
}
.btn-large {
  height: 53px;
}
.btn-middle {
  height: 41px;
}
input[type="text"] {
  height: 39px;
  padding: 0 8px;
  font-size: 14px;
  border-radius: 4px;
  border: 1px solid #ced2d9;
}
.flex-h {
  display: flex;
  flex-direction: row;
}
.flex-v {
  display: flex;
  flex-direction: column;
}
/*----jquery ui customize sytle----*/
.ui-dialog {
  border-radius: 8px !important;
}
.ui-widget-overlay {
  opacity: 0.5 !important;
}
.ui-state-hover {
  background-color: #fff !important;
}
.ui-accordion .ui-accordion-header {
  background-color: #fff !important;
  color: #333333 !important;
  border-width: 0 0 1px 0;
  border-bottom: 1px solid #e6e8ec;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: 12px 20px 0;
  padding: 0 0 12px 0;
  border-radius: 8px 8px 0 0;
  font-size: 16px;
  font-weight: 600;
}
.ui-accordion .ui-accordion-content {
  padding: 20px !important;
  overflow: hidden;
  display: none;
}
/*----header footer----*/
.header,
.footer {
  position: absolute;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  background: #fff;
  z-index: 99999;
}

.header {
  top: 0;
  height: 48px;
  border-bottom: 1px solid rgba(206, 210, 217, 1);
}
.header > div {
  display: flex;
  flex-direction: row;
  align-items: center;
}
.header .logo {
  width: 280px;
  justify-content: flex-start;
  font-size: 16px;
  font-weight: 600;
}
.header .logo img {
  margin: 0 16px;
}
.header .title {
  justify-content: center;
  font-size: 16px;
  font-weight: 600;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 48px;
}
.header .title > img:first-child {
  margin-right: 8px;
}
.header .title > img:last-child {
  margin-left: 18px;
}
.header .logo2 {
  width: 260px;
  justify-content: flex-end;
}
.header .logo2 img {
  margin: 0 16px;
}
.footer {
  bottom: 0;
  height: 78px;
  border-top: 1px solid rgba(206, 210, 217, 1);
  display: none;
}
.footer .step {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 100%;
}
.footer .step .btn {
  margin: 0 8px;
}
.footer .step .btn-back {
  justify-content: flex-start;
}
#btnBackStart {
  width: 154px;
}
#btnBackStep1,
#btnBackStep2,
#btnBackStep3 {
  width: 168px;
}
.footer .step .btn-next {
  width: 290px;
}
.footer .step .btn-next.special > img:last-child {
  margin: 0;
}
.footer .step .btn-next > div {
  line-height: 16px;
}
.footer .step .btn .number {
  margin-right: 4px;
}
.footer .step .info {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  flex: 1;
  height: 53px;
  border-radius: 4px;
  background-color: #fff8ed;
  margin: 0 8px;
  padding: 0 8px;
  gap: 6px;
}
.footer .step .info .infowrap {
  display: flex;
  gap: 12px;
  align-items: center;
}
.footer .step .info .infowrap img {
  width: 160px;
  height: auto;
}
.footer .step .info p {
  line-height: 20px;
  margin: 0;
  text-align: center;
  font-size: 14px;
  font-weight: 600;
}
.footer .step .info-step1 {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  flex: 1;
  height: 53px;
  margin: 0 8px;
}
.footer .step .info-step1 .space {
  flex: 1;
}
.footer .step .info-step1 .url {
  border-radius: 4px;
  background-color: #fff8ed;
  height: 53px;
  width: 110px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.footer .step .info .url,
.footer .step .info-step1 .url {
  font-size: 14px;
  font-weight: 600;
}
/*----Map----*/
#viewDiv {
  position: relative;
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
  overflow: hidden;
  z-index: 0;
}
.esri-view .esri-view-surface--inset-outline:focus::after {
  outline: none !important;
}
/*----Top page----*/
#top {
  position: absolute;
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
  overflow: hidden;
  background-color: #fff;
  z-index: 1;
}
#top .bg {
  position: absolute;
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
  z-index: 0;
}
#top .bg .dots {
  position: absolute;
  overflow: hidden;
}
#top .bg .dots1 {
  transform-origin: center;
  top: -59px;
  left: -74px;
}
#top .bg .dots2 {
  top: 135px;
  right: -16px;
}
#top .bg .dots3 {
  right: 16px;
  bottom: -40px;
}
#top .bg .dots4 {
  left: -26px;
  bottom: 54px;
}
#top .content {
  position: absolute;
  padding: 0;
  margin: 0;
  width: 100%;
  top: 115px;
  z-index: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 16px;
}

#top .content p.title {
  font-size: 32px;
  font-weight: 800;
  margin: 0 0 24px;
}
#top .content p {
  text-align: center;
}
#top .content .items {
  display: inline-flex;
  flex-direction: column;
}
#top .content .items > .item {
  display: inline-flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  margin: 4px;
  font-size: 20px;
  font-weight: 600;
}
#top .content .items > .item > .text-spell {
  margin-top: 4px;
}
#top .content .items > .item > img:first-child {
  margin-right: 8px;
}
#top .content .items > .item > img:last-child {
  margin-left: 40px;
}
#top .content .items > div {
  display: inline-flex;
  flex-direction: column;
}
#top .content .actions {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-top: 16px;
}
#top .content .actions .btn {
  margin: 8px;
}
.actions .btn {
  min-width: 294px;
}
/*----Search Pin Dialog----*/
.dialog-without-title .ui-dialog-titlebar {
  display: none;
}
#dlgSearchPin {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
#dlgSearchPin p {
  font-size: 20px;
  font-weight: 600;
}

/*----Search Map Dialog----*/
#dlgSearchMap {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#dlgSearchMap .wrapper {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}

#dlgSearchMap .wrapper > div {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  position: relative;
  height: 100%;
}
#dlgSearchMap .wrapper > div .title {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  font-size: 20px;
  font-weight: 600;
  position: relative;
  top: -8px;
}
#dlgSearchMap .wrapper > div .title > img {
  margin-left: 40px;
}
#dlgSearchMap .wrapper > div p {
  margin-top: 34px;
  line-height: 1.75;
}
#dlgSearchMap .wrapper > img {
  margin-left: 40px;
}
#dlgSearchMap .actions {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-top: 40px;
}
#dlgSearchMap .actions .btn {
  width: 294px;
}

/*----Step Dialog----*/
.step-dialog {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  padding: 0 60px !important;
  position: fixed;
}
.step-dialog > .title {
  display: inline-flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 4px;
}
.step-dialog > .title > img:first-child {
  margin-right: 8px;
}
.step-dialog > .title > img:last-child {
  margin-left: 40px;
}
.step-dialog > p {
  font-size: 16px;
  line-height: 1.75;
}
.step-dialog > .wrapper {
  position: relative;
  background-color: #edf3ff;
  border-radius: 8px;
  width: 100%;
  margin-top: 16px;
  text-align: left;
  line-height: 1.75;
}

.step-dialog > .wrapper {
  margin-top: 66px;
}
.step-dialog > .wrapper .note-title {
  position: absolute;
  top: -16px;
  left: 20px;
}
.step-dialog > .wrapper .note-img {
  position: absolute;
  top: -36px;
  right: 20px;
}
.step-dialog > .wrapper p {
  margin-left: 20px;
  font-size: 16px;
  width: 393px;
}
.step-dialog > .actions {
  margin-top: 40px;
}

/*----collapse panel----*/
.collapse-panel {
  position: relative;
  margin-top: 12px;
  border: 1px solid #ced2d9;
  border-radius: 8px;
  background-color: #fff;
  z-index: 1;
  display: none;
}
.collapse-panel .panel-close {
  display: none;
}
#panelEscapeRoute.collapse-panel .panel-close,
#panelExample.collapse-panel .panel-close {
  display: inline;
}
#panelEscapeRoute.collapse-panel .panel-open,
#panelExample.collapse-panel .panel-open {
  display: none;
}
.collapse-panel .panel-open {
  /* display: none; */
}
.panel-contents {
  border: none !important;
  border-radius: 0 0 8px 8px;
}
.collapse-panel .part {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 16px;
}
.collapse-panel .panel-contents > .part:last-child {
  margin-bottom: 0;
}
.part-title {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  margin-bottom: 16px;
  font-size: 14px;
  font-weight: 600;
}
.part ul {
  padding: 0;
  margin: 0;
  width: 100%;
}
.part ul > li {
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 8px;
  font-size: 14px;
}
.depth-icon {
  display: block;
  width: 20px;
  height: 20px;
  margin-right: 8px;
}
.depth-level1 {
  background-color: #f08d8d;
}
.depth-level2 {
  background-color: #f5b3b3;
}
.depth-level3 {
  background-color: #fad5be;
}
.depth-level4 {
  background-color: #f0f0a8;
}
.depth-level5 {
  background-color: #f285c9;
}
.depth-level6 {
  background-color: #dc7adc;
}
.left {
  position: absolute;
  top: 49px;
  left: 20px;
}
.right {
  position: absolute;
  top: 49px;
  right: 20px;
}
#panelSearchMap {
  width: 278px;
}
#panelSearchMap p {
  margin: 0 0 12px 0;
  font-size: 14px;
}
#panelSearchMap input {
  margin-right: 8px;
  width: 139px;
}
#panelSearchMap .btn {
  width: 72px;
}
#panelHazardMapView {
  width: 321px;
}
#panelExample {
  width: 321px;
}
#panelExample .flex-h {
  align-items: flex-start;
}
#panelExample .flex-h > img {
  height: 24px;
  width: 24px;
  margin-right: 8px;
}
#panelExample .flex-h > div {
  font-size: 14px;
}

.help-dialog {
  position: relative;
  padding: 60px 0 !important;
  overflow: hidden;
}
.help-dialog .wrapper {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  height: 100%;
  padding: 0 60px;
  overflow: auto;
}
.help-dialog .wrapper {
  font-size: 16px;
  font-weight: 600;
}
.help-dialog .cations > div {
  display: flex;
  gap: 8px;
  width: 330px;
}
.help-dialog .cations > div .kome {
  padding: 6px 0 0;
}
.help-dialog .cations > div p {
  margin: 0 0 8px;
  font-weight: 400;
  line-height: 1.75;
}
.help-dialog .cations > div a {
  color: #1677d9;
}
.help-dialog .cationred {
  margin: 30px 0;
  color: #ff0000;
}
.help-dialog .wrapper .details {
  margin-top: 16px;
  border-collapse: collapse;
  width: 100%;
  flex: 1;
  font-size: 16px;
  font-weight: 600;
}
.help-dialog .wrapper .details td {
  text-align: left;
  vertical-align: top;
}
.details td.td-icon {
  vertical-align: middle !important;
}
.details td.img {
  width: 304px;
}
.details td.describe {
  padding: 8px 12px 20px 0;
  font-weight: 300;
}
.details td.link {
  padding: 8px 0 20px;
  font-size: 14px;
  font-weight: 600;
}
.details td.link a {
  color: #1677d9 !important;
}
.help-dialog .actions {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.help-dialog .actions .btn-close {
  min-width: auto;
  width: 124px;
  justify-content: flex-start;
}

#panelEscapeRoute {
  width: 331px;
}
.switch {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  background-color: #e6e8ec;
  border-radius: 2px;
}
.switch > .switch-item {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex: 1;
  color: #333333;
  background-color: #e6e8ec;
  height: 38px;
  border-radius: 2px;
  margin: 2px;
  font-size: 16px;
  font-weight: 600;
}
.switch > .switch-item > img {
  margin-right: 8px;
}
.switch > .switch-item.on {
  background-color: #fff;
  color: #1065b9;
}
#panelEscapeRoute .info {
  padding: 20px 0 11px;
  border-bottom: 1px solid #e6e8ec;
  font-size: 14px;
}
#panelEscapeRoute .info td {
  padding: 0;
  vertical-align: top;
  padding-bottom: 8px;
  white-space: nowrap;
}
#panelEscapeRoute .info td.td-center {
  vertical-align: middle;
}
#panelEscapeRoute .info tr > td:last-child {
  padding-left: 4px;
}
#listEscapeRoutes {
  padding: 0;
  margin-bottom: 0;
}
#listEscapeRoutes > li {
  position: relative;
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  height: 30px;
  font-size: 14px;
  font-weight: 600;
}
#listEscapeRoutes > li.route > .route-icon {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-right: 8px;
  width: 24px;
  height: 24px;
}
#listEscapeRoutes > li.route > .route-icon img {
  width: 24px;
  height: auto;
}
#listEscapeRoutes > li.route > .route-icon.text {
  background-color: #fff;
  border: 1px solid #8590a6;
  width: 22px;
  height: 22px;
  border-radius: 50%;
}
#listEscapeRoutes > li.route > .route-icon::after {
  position: absolute;
  top: 24px;
  left: -5px;
  margin: 0 1rem;
  content: "";
  width: 2px;
  height: 8px;
  background-color: #e6e8ec;
}
#listEscapeRoutes > li.route.end > .route-icon::after,
#listEscapeRoutes > li.route.impassable > .route-icon::after {
  display: none;
}
#listEscapeRoutes > li.route > .route-delete {
  position: absolute;
  top: 0;
  right: 0;
  margin: 0;
  width: 24px;
  height: 24px;
}
#listEscapeRoutes > li.impassable {
  margin-top: 20px;
}
/* kuma Step2 避難場所アイコン非表示時のメッセージ */
#invisibleIconEscapeMessage {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: none;
  background-color: #ea5413;
  padding: 12px;
  z-index: 1;
  border: 1px solid #ced2d9;
  border-radius: 8px;
}
#invisibleIconEscapeMessage > div {
  background-color: #ea5413;
  padding: 8px;
  font-size: 16px;
  display: inline-block;
  white-space: nowrap;
  color: #fff;
  font-weight: bold;
}
/* ESRIJ ADD */
#route-car {
  display: none;
}
.esri-view-height-less-than-medium .esri-popup__main-container {
  width: 350px;
  border-radius: 4px;
}
.esri-popup__action-text {
  font-size: 14px;
  padding: 2px;
  font-weight: normal;
  color: #333333;
  font-family: "initial";
}
.esri-popup__pointer {
  display: none;
}
.esri-ui .esri-popup {
  border-radius: 4px;
}
.esri-popup--aligned-top-center,
.esri-popup--aligned-top-left,
.esri-popup--aligned-top-right {
  margin-bottom: 40px;
}
.esri-popup__content {
  padding-top: 10px;
  letter-spacing: 0.5px;
}
.esri-popup__inline-actions-container {
  display: block;
}
.esri-view-width-less-than-medium .esri-popup__action-text {
  display: block;
}
.content_container {
  display: flex;
}
/* 閉じるボタンをつねに右上に表示 */
.esri-popup__header {
  position: absolute;
  right: -30px;
}
.esri-popup__button {
  margin-right: 30px;
}
.esri-popup__header-buttons {
  z-index: 99;
}
/* 背景地図の追加改修 */
.panel-contents .esri-basemap-gallery {
  min-width: 225px;
  max-width: 300px;
}
.esri-basemap-gallery__item-container {
  flex-flow: wrap !important;
}
.esri-basemap-gallery__item:first-child {
  margin-top: 0px !important;
}
.esri-basemap-gallery__item {
  width: 100px !important;
  flex-flow: column !important;
  border: 2px solid rgba(0, 0, 0, 0) !important;
}
.label_layers {
  max-width: 100px;
  display: inline-flex;
}
.label_layers input {
  display: none;
}
.label_layers span {
  color: #333;
  font-size: 12px;
  padding-left: 5px;
  padding-right: 5px;
  display: inline-flex;
  flex-flow: column;
  cursor: pointer;
  align-items: center;
  width: 100px !important;
  padding: 6px 7px;
}
.label_layers span:focus {
  cursor: auto;
  border-inline-start-color: #0079c1;
  background-color: #e2f1fb;
  color: #323232;
}
.label_layers span:hover,
.label_layers span:focus {
  outline: none;
  background-color: #f3f3f3;
  border-inline-start-color: #6e6e6e;
}

.label_layers input:checked + span {
  color: #333;
  background: #e2f1fb;
  border: 2px solid #0079c1;
}
.btn-blue {
  background-color: #1065b9;
  border: 1px solid #1065b9;
  color: #fff;
}
#camera {
  display: none;
}
.footer .step .btn.camera {
  margin: 0;
  padding: 8px 12px 8px 0;
}
.footer .step .info {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  flex: 1;
  height: 53px;
  border-radius: 4px;
  background-color: #edf3ff;
  margin: 0 8px;
  padding: 0 16px;
}
/****************
ハザードマップon off
 ****************/
.panel-header02 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 14px;
  font-weight: 600;
  border-top: 1px solid #e6e8ec;
  padding-top: 16px;
}
.switchArea {
  position: relative;
  width: 48px;
  background: #fff;
}
.switchArea input[type="checkbox"] {
  display: none;
}
.switchArea label {
  display: block;
  box-sizing: border-box;
  height: 28px;
  background: #666;
  border-radius: 24px;
}
.switchArea input[type="checkbox"]:checked + label {
  background: #1065b9;
}
.switchArea #swImg {
  position: absolute;
  width: 24px;
  height: 24px;
  background: #fff;
  top: 2px;
  left: 2px;
  border-radius: 20px;
  transition: 0.2s;
}
.switchArea input[type="checkbox"]:checked ~ #swImg {
  transform: translateX(20px);
  background: #fff;
}
/* ルビ */
.custom-ruby {
  display: inline-block;
  position: relative;
}
.custom-rt {
  top: -10px;
  left: -4px;
  position: absolute;
  white-space: nowrap;
}
.logo .custom-rt {
  top: -10px;
  left: 0px;
}
.logowrap {
  padding: 3px 0 0;
}
::-webkit-full-page-media,
:future,
:root .btn > .icon {
  margin: 0 5px;
  width: 24px;
  height: 24px;
}
::-webkit-full-page-media,
:future,
:root .footer .step .btn-next {
  width: 294px;
}
